%define srcname idna

Name:           python-%{srcname}
Version:        2.10
Release:        %mkrel 1
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.io/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%package -n python3-%{srcname}
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.rst HISTORY.rst
%license LICENSE.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Sep 09 2020 guillomovitch <guillomovitch> 2.10-1.mga8
+ Revision: 1623949
- new version 2.10

* Sun Apr 19 2020 guillomovitch <guillomovitch> 2.9-1.mga8
+ Revision: 1569894
- new version 2.9

* Sun Feb 16 2020 umeabot <umeabot> 2.8-3.mga8
+ Revision: 1530749
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 2.8-2.mga8
+ Revision: 1437563
- another rebuild for python3.8

* Wed Sep 04 2019 wally <wally> 2.8-1.mga8
+ Revision: 1437304
- new version 2.8
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 2.7-2.mga7
+ Revision: 1349408
- rebuild for python3.7

* Mon Dec 31 2018 luigiwalser <luigiwalser> 2.7-1.mga7
+ Revision: 1347673
- 2.7

* Thu Sep 20 2018 umeabot <umeabot> 2.5-3.mga7
+ Revision: 1288975
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 2.5-2.mga7
+ Revision: 1134586
- rebuild for new python

* Mon Jul 31 2017 daviddavid <daviddavid> 2.5-1.mga7
+ Revision: 1133195
- new version: 2.5

* Sun Apr 10 2016 philippem <philippem> 2.1-1.mga6
+ Revision: 1000023
- update to 2.1

* Fri Feb 19 2016 umeabot <umeabot> 2.0-3.mga6
+ Revision: 970724
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 2.0-2.mga6
+ Revision: 888055
- rebuild for python 3.5

* Fri Sep 25 2015 philippem <philippem> 2.0-1.mga6
+ Revision: 883558
- imported package python-idna

